package com.fs.sop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.sop.domain.QwSopTagLogs;

import java.util.List;

/**
 * 打标签详细Service接口
 *
 * @author fs
 * @date 2025-02-20
 */
public interface IQwSopTagLogsService extends IService<QwSopTagLogs>{
    /**
     * 查询打标签详细
     *
     * @param id 打标签详细主键
     * @return 打标签详细
     */
    QwSopTagLogs selectQwSopTagLogsById(Long id);

    /**
     * 查询打标签详细列表
     *
     * @param qwSopTagLogs 打标签详细
     * @return 打标签详细集合
     */
    List<QwSopTagLogs> selectQwSopTagLogsList(QwSopTagLogs qwSopTagLogs);

    /**
     * 新增打标签详细
     *
     * @param qwSopTagLogs 打标签详细
     * @return 结果
     */
    int insertQwSopTagLogs(QwSopTagLogs qwSopTagLogs);

    /**
     * 修改打标签详细
     *
     * @param qwSopTagLogs 打标签详细
     * @return 结果
     */
    int updateQwSopTagLogs(QwSopTagLogs qwSopTagLogs);

    /**
     * 批量删除打标签详细
     *
     * @param ids 需要删除的打标签详细主键集合
     * @return 结果
     */
    int deleteQwSopTagLogsByIds(Long[] ids);

    /**
     * 删除打标签详细信息
     *
     * @param id 打标签详细主键
     * @return 结果
     */
    int deleteQwSopTagLogsById(Long id);
}
